Information on source package devscripts

Available versions

ReleaseVersion
jessie (security)2.15.3+deb8u1
stretch2.17.6+deb9u2
buster2.19.5
bullseye2.19.6
sid2.19.6

Resolved issues

BugDescription
TEMP-0508111-173336Insecure tempfile creation
TEMP-0507482-9415A7Insecure tmpdir creation
CVE-2018-13043scripts/grep-excuses.pl in Debian devscripts through 2.18.3 allows cod ...
CVE-2015-5705Argument injection vulnerability in devscripts before 2.15.7 allows re ...
CVE-2015-5704scripts/licensecheck.pl in devscripts before 2.15.7 allows local users ...
CVE-2014-1833Directory traversal vulnerability in uupdate in devscripts 2.14.1 allo ...
CVE-2013-7325
CVE-2013-7085Uscan in devscripts 2.13.5, when USCAN_EXCLUSION is enabled, allows re ...
CVE-2013-7050The get_main_source_dir function in scripts/uscan.pl in devscripts bef ...
CVE-2013-6888Uscan in devscripts before 2.13.9 allows remote attackers to execute a ...
CVE-2012-3500scripts/annotate-output.sh in devscripts before 2.12.2, as used in rpm ...
CVE-2012-2242scripts/dget.pl in devscripts before 2.10.73 allows remote attackers t ...
CVE-2012-2241scripts/dget.pl in devscripts before 2.12.3 allows remote attackers to ...
CVE-2012-2240scripts/dscverify.pl in devscripts before 2.12.3 allows remote attacke ...
CVE-2012-0212debdiff.pl in devscripts 2.10.x before 2.10.69 and 2.11.x before 2.11. ...
CVE-2012-0211debdiff.pl in devscripts 2.10.x before 2.10.69 and 2.11.x before 2.11. ...
CVE-2012-0210debdiff.pl in devscripts 2.10.x before 2.10.69 and 2.11.x before 2.11. ...
CVE-2009-2946Eval injection vulnerability in scripts/uscan.pl before Rev 1984 in de ...

Security announcements

DSA / DLADescription
DSA-2836-1devscripts - arbitrary code execution
DSA-2549-1devscripts - multiple
DSA-2409-1devscripts - several
DSA-1878-2devscripts - regression fix
DSA-1878-2devscripts - regression fix
DSA-1878-1devscripts - remote code execution
DSA-1878-1devscripts - remote code execution

Search for package or bug name: Reporting problems